### Constructor

# Snapd NoticesMonitor new_with_client

since: 1.66

#### Declaration [src]

    SnapdNoticesMonitor*
    snapd_notices_monitor_new_with_client (
      SnapdClient* client
    )

#### Description [src]

Creates a new `SnapdNoticesMonitor` to receive events, using the specified `SnapdClient` object to ask info about each task.

Available since: 1.66

#### Parameters

`client`

  Type: `SnapdClient`

  A `SnapdClient` object.

  The data is owned by the caller of the function.

#### Return value

Type: `SnapdNoticesMonitor`

A new `SnapdNoticesMonitor`.

The caller of the function takes ownership of the data, and is responsible for freeing it.